Package com.ads.api.beans.sm

# Class SMTable

java.lang.Object
com.ads.api.beans.common.Node
com.ads.api.beans.sm.SMTable

public class SMTable extends Node
This class provides some beans control methods related to Table and the Environment in which the Table is created and its related Audit History Details.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `SMTable.SMTableType`
  The constants of this enumerated type provides a simple classification of the declared elements.

  ## Nested classes/interfaces inherited from class com.ads.api.beans.common.Node

  `Node.Depth, Node.InputDataType, Node.NodeType, Node.ReturnType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SMTable()`
  `SMTable(String name)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SMTable`
  `addAssociationsList(com.ads.association.export.model.ExportedAssociation associationObj)`
  It will not add association to this object as it is being used internally.
  `void`
  `addColumn(SMColumn column)`
  Adds the column as specified.
  `void`
  `addColumn(String name, SMColumn column)`
  Adds the column specified with the details given as SMColumn.
  `void`
  `addColumnByReferenceId(SMColumn column)`
  Adds the Column as specified.
  `SMTable`
  `addExtendedProperty(KeyValue extendedProperty)`
  Adds the KeyValue Object for the specified table.
  `SMTable`
  `addSDIClassification(SDIClassification classification)`
  It adds the given sdiClassification object to the list.
  `SMTable`
  `addTag(Tag tagvo)`
  `String`
  `getActualTableName()`
  Returns the actualTableName.
  `String`
  `getAssociatedBusinessTerm()`
  Returns the associatedBusinessTerm value.
  `int`
  `getAssociatedBusinessTermId()`
  Returns the associatedBusinessTermId value.
  `List<com.ads.association.export.model.ExportedAssociation>`
  `getAssociationsList()`
  It will not return any associations particular to this object as it is being used internally.
  `AuditHistory`
  `getAuditHistory()`
  Returns the auditHistory details of the table object.
  `String`
  `getBusinessEntityType()`
  Returns the businessEntityType value.
  `SMColumn`
  `getColumn(String name)`
  Returns SMColumn Object for the specified name of the column.
  `List<SMIndex>`
  `getColumnIndexes()`
  Returns the list of columnIndexes objects.
  `Collection<SMColumn>`
  `getColumns()`
  Returns the list of SMColumn objects.
  `int`
  `getDataProfileScoreId()`
  Returns the dataProfileScoreId Value.
  `float`
  `getDataQualityScore()`
  Returns the dataQualityScore value.
  `String`
  `getDataStewardName()`
  Deprecated.
  `String`
  `getDeclarationPath()`
  Returns the declarationPath Value.
  `String`
  `getDqToolProfileId()`
  Returns the dqToolProfileId value.
  `String`
  `getDqToolUpdatedTime()`
  Returns the dqToolUpdatedTime value.
  `SMEnvironment`
  `getEnvironment()`
  Returns the environment object of the table object.
  `int`
  `getEnvironmentId()`
  Returns the environmentId.
  `String`
  `getExpandedLogicalName()`
  Returns the expandedLogicalName value.
  `List<KeyValue>`
  `getExtendedProperties()`
  Returns the List objects.
  `String`
  `getFileLocation()`
  Returns the fileLocation.
  `String`
  `getFileType()`
  Returns the fileType.
  `float`
  `getImpactScore()`
  Deprecated.
  `String`
  `getLogicalTableName()`
  Returns the logicalTableName.
  `String`
  `getMetadataSource()`
  Returns the metadataSource Value.
  `SMTable`
  `getParentTable()`
  Returns the parentTable object of the table object.
  `String`
  `getPhysicalTableName()`
  Returns the physicalTableName.
  `String`
  `getReferenceId()`
  Returns the referenceId of the table object.
  `String`
  `getSchemaName()`
  Returns the schemaName of the table object.
  `int`
  `getSdiClassificationId()`
  Deprecated.
  `String`
  `getSdiClassificationName()`
  Deprecated.
  `List<SDIClassification>`
  `getSDIClassifications()`
  Returns the list of sdiClassifications of the table.
  `String`
  `getSdiDescription()`
  Deprecated.
  `String`
  `getStatus()`
  Returns the status of the table object.
  `int`
  `getSTMId()`
  Deprecated.
  `String`
  `getSystemEnvironmentName()`
  Returns the systemEnvironmentName.
  `int`
  `getSystemId()`
  Returns the systemId of the table object.
  `String`
  `getSystemName()`
  Returns the systemName and this can be accessed through Lineage API only.
  `String`
  `getTableAlias()`
  Returns the tableAlias of the table object.
  `String`
  `getTableClass()`
  Returns the tableClass of the table object.
  `String`
  `getTableComments()`
  Returns the tableComments.
  `String`
  `getTableDefinition()`
  Returns the tableDefinition.
  `int`
  `getTableId()`
  Returns the tableId of the table object.
  `String`
  `getTableName()`
  Returns the tableName.
  `String`
  `getTableReferenceId()`
  Returns the tableReferenceId.
  `SMTable.SMTableType`
  `getTableType()`
  Returns the tableType.
  `List<Tag>`
  `getTags()`
  `int`
  `getTotalRowsCount()`
  Returns the totalRowsCount.
  `String`
  `getUserDefined1()`
  Returns the userDefined Field.
  `String`
  `getUserDefined10()`
  Returns the userDefined field.
  `String`
  `getUserDefined2()`
  Returns the userDefined Field.
  `String`
  `getUserDefined3()`
  Returns the userDefined Field.
  `String`
  `getUserDefined4()`
  Returns the userDefined Field.
  `String`
  `getUserDefined5()`
  Returns the userDefined Field.
  `String`
  `getUserDefined6()`
  Returns the userDefined field.
  `String`
  `getUserDefined7()`
  Returns the userDefined field.
  `String`
  `getUserDefined8()`
  Returns the userDefined field.
  `String`
  `getUserDefined9()`
  Returns the userDefined field.
  `String`
  `getWorkflowStatus()`
  Returns the work flow status of the table object.
  `boolean`
  `isElnExpanded()`
  Returns the elnExpanded value.
  `boolean`
  `isMarked()`
  Returns true if the table is marked.
  `boolean`
  `isRootTable()`
  Returns the rootTable of the table object.
  `boolean`
  `isSdiFlag()`
  Returns the sdiFlag Value.
  `boolean`
  `isUsedInGapAnalysis()`
  Returns the usedInGapAnalysis value.
  `boolean`
  `isValid()`
  Returns the valid value.
  `static String`
  `parseSchemaName(String tableName)`
  parses the specified tableName and returns the schema name.
  `static String`
  `parseTableName(String tableName)`
  parses the specified tableName and returns the table name.
  `void`
  `setActualTableName(String actualTableName)`
  Sets the actualTableName as specified.
  `void`
  `setAssociatedBusinessTerm(String associatedBusinessTerm)`
  Method sets the associatedBusinessTerm to the table as specified.
  `void`
  `setAssociatedBusinessTermId(int associatedBusinessTermId)`
  Method sets the associatedBusinessTermId to the table as specified.
  `SMTable`
  `setAssociationsList(List<com.ads.association.export.model.ExportedAssociation> associations)`
  It will not set any associations particular to this object as it is being used internally.
  `void`
  `setAuditHistory(AuditHistory auditHistory)`
  Sets the auditHistory as specified.
  `void`
  `setBusinessEntityType(String businessEntityType)`
  Method sets the businessEntityType as specified.
  `SMTable`
  `setColumnIndexes(List<SMIndex> columnIndexes)`
  Method sets the list of columnIndexes as specified.
  `void`
  `setDataProfileScoreId(int dataProfileScoreId)`
  Method sets the dataProfileScoreId as specified.
  `void`
  `setDataQualityScore(float dataQualityScore)`
  Method sets the dataQualityScore as specified.
  `void`
  `setDataStewardName(String dataStewardName)`
  Deprecated.
  `void`
  `setDeclarationPath(String declarationPath)`
  Method sets the declarationPath as specified.
  `void`
  `setDqToolProfileId(int dqToolProfileId)`
  Deprecated.
  `void`
  `setDqToolProfileId(String dqToolProfileId)`
  Method sets the dqToolProfileId as specified.
  `void`
  `setDqToolUpdatedTime(String dqToolUpdatedTime)`
  Method sets the dqToolUpdatedTime as specified.
  `void`
  `setElnExpanded(boolean elnExpanded)`
  Method sets the elnExpanded to the table as specified.
  `void`
  `setEnvironment(SMEnvironment environment)`
  Sets the environment as specified.
  `void`
  `setEnvironmentId(int environmentId)`
  Sets the environmentId as specified.
  `void`
  `setExpandedLogicalName(String expandedLogicalName)`
  Method sets the expandedLogicalName to the table as specified.
  `SMTable`
  `setExtendedProperties(List<KeyValue> extendedProperties)`
  Method sets the list of KeyValue objects as specified.
  `void`
  `setFileLocation(String fileLocation)`
  Sets the fileLocation
  `void`
  `setFileType(String fileType)`
  Sets the fileType as specified.
  `void`
  `setImpactScore(float impactScore)`
  Deprecated.
  `void`
  `setLogicalTableName(String logicalTableName)`
  Sets the logicalTableName as specified.
  `void`
  `setMarked(boolean marked)`
  Method sets the marked as specified.
  `void`
  `setMetadataSource(String metadataSource)`
  Method sets the metadataSource as specified.
  `void`
  `setParentTable(SMTable parentTable)`
  Sets the parentTable as specified.
  `void`
  `setPhysicalTableName(String physicalTableName)`
  Sets the physicalTableName as specified.
  `void`
  `setReferenceId(String referenceId)`
  Sets the referenceId as specified.
  `void`
  `setRootTable(boolean rootTable)`
  Sets the rootTable as specified.
  `void`
  `setSchemaName(String schemaName)`
  Sets the schemaName as specified.
  `void`
  `setSdiClassificationId(int sdiClassificationId)`
  Deprecated.
  `void`
  `setSdiClassificationName(String sdiClassificationName)`
  Deprecated.
  `void`
  `setSDIClassifications(List<SDIClassification> sdiClassifications)`
  Method sets the list of sdiClassifications to the table as specified.
  `void`
  `setSdiDescription(String sdiDescription)`
  Deprecated.
  `void`
  `setSdiFlag(boolean sdiFlag)`
  Method sets the sdiFlag to the environment as specified.
  `void`
  `setStatus(String status)`
  Sets the status of the table as specified.
  `void`
  `setSTMId(int stmId)`
  Deprecated.
  `void`
  `setSystemEnvironmentName(String systemEnvironmentName)`
  Sets the systemEnvironmentName as specified.
  `void`
  `setSystemId(int systemId)`
  Sets the systemId as specified.
  `void`
  `setSystemName(String systemName)`
  Method sets the systemName as specified and can be set from Lineage API only.
  `void`
  `setTableAlias(String tableAlias)`
  Sets the tableAlias as specified.
  `void`
  `setTableClass(String tableClass)`
  Sets the tableClass as specified.
  `void`
  `setTableComments(String tableComments)`
  Sets the tableComments as specified.
  `void`
  `setTableDefinition(String tableDefinition)`
  Sets the tableDefinition as specified.
  `void`
  `setTableId(int tableId)`
  Sets the tableId to the table as specified.
  `void`
  `setTableName(String tableName)`
  Sets the tableName as specified.
  `void`
  `setTableReferenceId(String tableReferenceId)`
  Sets the tableReferenceId as specified.
  `void`
  `setTableType(SMTable.SMTableType tableType)`
  Sets the tableType as specified.
  `void`
  `setTags(List<Tag> tags)`
  `void`
  `setTotalRowsCount(int totalRowsCount)`
  Sets the totalRowsCount as specified.
  `void`
  `setUsedInGapAnalysis(boolean usedInGapAnalysis)`
  Sets the usedInGapAnalysis value as specified.
  `void`
  `setUserDefined1(String userDefined1)`
  Sets the userDefined Field as specified.
  `void`
  `setUserDefined10(String userDefined10)`
  Sets the userDefined field as specified.
  `void`
  `setUserDefined2(String userDefined2)`
  Sets the userDefined Field as specified.
  `void`
  `setUserDefined3(String userDefined3)`
  Sets the userDefined Field as specified.
  `void`
  `setUserDefined4(String userDefined4)`
  Sets the userDefined Field as specified.
  `void`
  `setUserDefined5(String userDefined5)`
  Sets the userDefined Field as specified.
  `void`
  `setUserDefined6(String userDefined6)`
  Sets the userDefined field as specified.
  `void`
  `setUserDefined7(String userDefined7)`
  Sets the userDefined field as specified.
  `void`
  `setUserDefined8(String userDefined8)`
  Sets the userDefined field as specified.
  `void`
  `setUserDefined9(String userDefined9)`
  Sets the userDefined field as specified.
  `void`
  `setValid(boolean valid)`
  Sets the valid value as specified.
  `void`
  `setWorkflowStatus(String workflowStatus)`
  Sets the work flow status to the table as specified.
  `String`
  `toString()`

  ### Methods inherited from class com.ads.api.beans.common.Node

  `addChildNode, getChildNodes, getEndPointType, getNodeId, getNodeType, getObjectTypeId, setChildNodes, setEndPointType, setNodeId, setNodeType, setObjectTypeId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SMTable

    public SMTable()

  - ### SMTable

    public SMTable(String name)

- ## Method Details

  - ### getEnvironmentId

    public int getEnvironmentId()
    Returns the environmentId.
    Returns:
      int environmentId

  - ### setEnvironmentId

    public void setEnvironmentId(int environmentId)
    Sets the environmentId as specified.
    Parameters:
      `environmentId` - int

  - ### getTableName

    public String getTableName()
    Returns the tableName.
    Returns:
      String tableName

  - ### setTableName

    public void setTableName(String tableName)
    Sets the tableName as specified.
    Parameters:
      `tableName` - String

  - ### getSystemEnvironmentName

    public String getSystemEnvironmentName()
    Returns the systemEnvironmentName.
    Returns:
      String systemEnvironmentName

  - ### setSystemEnvironmentName

    public void setSystemEnvironmentName(String systemEnvironmentName)
    Sets the systemEnvironmentName as specified.
    Parameters:
      `systemEnvironmentName` - String

  - ### getTableDefinition

    public String getTableDefinition()
    Returns the tableDefinition.
    Returns:
      String tableDefinition

  - ### setTableDefinition

    public void setTableDefinition(String tableDefinition)
    Sets the tableDefinition as specified.
    Parameters:
      `tableDefinition` - String

  - ### getTotalRowsCount

    public int getTotalRowsCount()
    Returns the totalRowsCount.
    Returns:
      int totalRowsCount

  - ### setTotalRowsCount

    public void setTotalRowsCount(int totalRowsCount)
    Sets the totalRowsCount as specified.
    Parameters:
      `totalRowsCount` - int

  - ### getTableType

    public SMTable.SMTableType getTableType()
    Returns the tableType. TableType can be TABLE, VIEW, SYNONYM OR COMPONENT.
    Returns:
      SMTable Object

  - ### setTableType

    public void setTableType(SMTable.SMTableType tableType)
    Sets the tableType as specified.
    Parameters:
      `tableType` - SMTable Object

  - ### getLogicalTableName

    public String getLogicalTableName()
    Returns the logicalTableName.
    Returns:
      String logicalTableName

  - ### setLogicalTableName

    public void setLogicalTableName(String logicalTableName)
    Sets the logicalTableName as specified.
    Parameters:
      `logicalTableName` - String

  - ### getPhysicalTableName

    public String getPhysicalTableName()
    Returns the physicalTableName.
    Returns:
      String physicalTableName

  - ### setPhysicalTableName

    public void setPhysicalTableName(String physicalTableName)
    Sets the physicalTableName as specified.
    Parameters:
      `physicalTableName` - String

  - ### isValid

    public boolean isValid()
    Returns the valid value.
    Returns:
      boolean valid

  - ### setValid

    public void setValid(boolean valid)
    Sets the valid value as specified.
    Parameters:
      `valid` - boolean

  - ### getActualTableName

    public String getActualTableName()
    Returns the actualTableName.
    Returns:
      String actualTableName

  - ### setActualTableName

    public void setActualTableName(String actualTableName)
    Sets the actualTableName as specified.
    Parameters:
      `actualTableName` - String

  - ### getTableReferenceId

    public String getTableReferenceId()
    Returns the tableReferenceId.
    Returns:
      String tableReferenceId

  - ### setTableReferenceId

    public void setTableReferenceId(String tableReferenceId)
    Sets the tableReferenceId as specified.
    Parameters:
      `tableReferenceId` - String

  - ### isUsedInGapAnalysis

    public boolean isUsedInGapAnalysis()
    Returns the usedInGapAnalysis value.
    Returns:
      boolean usedInGapAnalysis

  - ### setUsedInGapAnalysis

    public void setUsedInGapAnalysis(boolean usedInGapAnalysis)
    Sets the usedInGapAnalysis value as specified.
    Parameters:
      `usedInGapAnalysis` - boolean

  - ### getUserDefined1

    public String getUserDefined1()
    Returns the userDefined Field.
    Returns:
      String userDefined1

  - ### setUserDefined1

    public void setUserDefined1(String userDefined1)
    Sets the userDefined Field as specified.
    Parameters:
      `userDefined1` - String

  - ### getUserDefined2

    public String getUserDefined2()
    Returns the userDefined Field.
    Returns:
      String userDefined2

  - ### setUserDefined2

    public void setUserDefined2(String userDefined2)
    Sets the userDefined Field as specified.
    Parameters:
      `userDefined2` - String

  - ### getUserDefined3

    public String getUserDefined3()
    Returns the userDefined Field.
    Returns:
      String userDefined3

  - ### setUserDefined3

    public void setUserDefined3(String userDefined3)
    Sets the userDefined Field as specified.
    Parameters:
      `userDefined3` - String

  - ### getUserDefined4

    public String getUserDefined4()
    Returns the userDefined Field.
    Returns:
      String userDefined4

  - ### setUserDefined4

    public void setUserDefined4(String userDefined4)
    Sets the userDefined Field as specified.
    Parameters:
      `userDefined4` - String

  - ### getUserDefined5

    public String getUserDefined5()
    Returns the userDefined Field.
    Returns:
      String userDefined5

  - ### setUserDefined5

    public void setUserDefined5(String userDefined5)
    Sets the userDefined Field as specified.
    Parameters:
      `userDefined5` - String

  - ### getSdiClassificationId

    public int getSdiClassificationId()
    Deprecated.
    Returns the sdiClassificationId Value.
    Returns:
      sdiClassificationId int

  - ### setSdiClassificationId

    public void setSdiClassificationId(int sdiClassificationId)
    Deprecated.
    Method sets the sdiClassificationId to the system as specified.
    Parameters:
      `sdiClassificationId` - int

  - ### getSdiClassificationName

    public String getSdiClassificationName()
    Deprecated.
    Returns the sdiClassificationId Value.
    Returns:
      sdiClassificationId int

  - ### setSdiClassificationName

    public void setSdiClassificationName(String sdiClassificationName)
    Deprecated.
    Method sets the sdiClassificationName to the environment as specified.
    Parameters:
      `sdiClassificationName` - String

  - ### isSdiFlag

    public boolean isSdiFlag()
    Returns the sdiFlag Value.
    Returns:
      sdiFlag boolean

  - ### setSdiFlag

    public void setSdiFlag(boolean sdiFlag)
    Method sets the sdiFlag to the environment as specified.
    Parameters:
      `sdiFlag` - boolean

  - ### getSdiDescription

    public String getSdiDescription()
    Deprecated.
    Returns the sdiDescription Value.
    Returns:
      sdiDescription String

  - ### setSdiDescription

    public void setSdiDescription(String sdiDescription)
    Deprecated.
    Method sets the sdiDescription to the environment as specified.
    Parameters:
      `sdiDescription` - String

  - ### getSDIClassifications

    public List<SDIClassification> getSDIClassifications()
    Returns the list of sdiClassifications of the table.
    Returns:
      sdiClassifications List

  - ### setSDIClassifications

    public void setSDIClassifications(List<SDIClassification> sdiClassifications)
    Method sets the list of sdiClassifications to the table as specified.
    Parameters:
      `sdiClassifications` - List

  - ### addSDIClassification

    public SMTable addSDIClassification(SDIClassification classification)
    It adds the given sdiClassification object to the list.
    Parameters:
      `classification` -
    Returns:
      SMTable

  - ### getUserDefined6

    public String getUserDefined6()
    Returns the userDefined field.
    Returns:
      String userDefined6

  - ### setUserDefined6

    public void setUserDefined6(String userDefined6)
    Sets the userDefined field as specified.
    Parameters:
      `userDefined6` - String

  - ### getUserDefined7

    public String getUserDefined7()
    Returns the userDefined field.
    Returns:
      userDefined7 String

  - ### setUserDefined7

    public void setUserDefined7(String userDefined7)
    Sets the userDefined field as specified.
    Parameters:
      `userDefined7` - String

  - ### getUserDefined8

    public String getUserDefined8()
    Returns the userDefined field.
    Returns:
      String userDefined8

  - ### setUserDefined8

    public void setUserDefined8(String userDefined8)
    Sets the userDefined field as specified.
    Parameters:
      `userDefined8` - String

  - ### getUserDefined9

    public String getUserDefined9()
    Returns the userDefined field.
    Returns:
      String userDefined9

  - ### setUserDefined9

    public void setUserDefined9(String userDefined9)
    Sets the userDefined field as specified.
    Parameters:
      `userDefined9` - String

  - ### getUserDefined10

    public String getUserDefined10()
    Returns the userDefined field.
    Returns:
      String userDefined10

  - ### setUserDefined10

    public void setUserDefined10(String userDefined10)
    Sets the userDefined field as specified.
    Parameters:
      `userDefined10` - String

  - ### getTableComments

    public String getTableComments()
    Returns the tableComments.
    Returns:
      String tableComments

  - ### setTableComments

    public void setTableComments(String tableComments)
    Sets the tableComments as specified.
    Parameters:
      `tableComments` - String

  - ### isElnExpanded

    public boolean isElnExpanded()
    Returns the elnExpanded value.
    Returns:
      elnExpanded boolean

  - ### setElnExpanded

    public void setElnExpanded(boolean elnExpanded)
    Method sets the elnExpanded to the table as specified.
    Parameters:
      `elnExpanded` - boolean

  - ### getExpandedLogicalName

    public String getExpandedLogicalName()
    Returns the expandedLogicalName value.
    Returns:
      expandedLogicalName String

  - ### setExpandedLogicalName

    public void setExpandedLogicalName(String expandedLogicalName)
    Method sets the expandedLogicalName to the table as specified.
    Parameters:
      `expandedLogicalName` - String

  - ### getAssociatedBusinessTerm

    public String getAssociatedBusinessTerm()
    Returns the associatedBusinessTerm value.
    Returns:
      associatedBusinessTerm String

  - ### setAssociatedBusinessTerm

    public void setAssociatedBusinessTerm(String associatedBusinessTerm)
    Method sets the associatedBusinessTerm to the table as specified.
    Parameters:
      `associatedBusinessTerm` - String

  - ### getAssociatedBusinessTermId

    public int getAssociatedBusinessTermId()
    Returns the associatedBusinessTermId value.
    Returns:
      associatedBusinessTermId int

  - ### setAssociatedBusinessTermId

    public void setAssociatedBusinessTermId(int associatedBusinessTermId)
    Method sets the associatedBusinessTermId to the table as specified.
    Parameters:
      `associatedBusinessTermId` - int

  - ### getFileType

    public String getFileType()
    Returns the fileType.
    Returns:
      String fileType

  - ### setFileType

    public void setFileType(String fileType)
    Sets the fileType as specified.
    Parameters:
      `fileType` - String

  - ### getFileLocation

    public String getFileLocation()
    Returns the fileLocation.
    Returns:
      fileLocation String

  - ### setFileLocation

    public void setFileLocation(String fileLocation)
    Sets the fileLocation
    Parameters:
      `fileLocation` -

  - ### getTableClass

    public String getTableClass()
    Returns the tableClass of the table object.
    Returns:
      String tableClass

  - ### setTableClass

    public void setTableClass(String tableClass)
    Sets the tableClass as specified.
    Parameters:
      `tableClass` - String

  - ### getTableAlias

    public String getTableAlias()
    Returns the tableAlias of the table object.
    Returns:
      String tableAlias

  - ### setTableAlias

    public void setTableAlias(String tableAlias)
    Sets the tableAlias as specified.
    Parameters:
      `tableAlias` - String

  - ### getStatus

    public String getStatus()
    Returns the status of the table object.
    Returns:
      String status

  - ### setStatus

    public void setStatus(String status)
    Sets the status of the table as specified.
    Parameters:
      `status` - String

  - ### getWorkflowStatus

    public String getWorkflowStatus()
    Returns the work flow status of the table object.
    Returns:
      String workflowStatus

  - ### setWorkflowStatus

    public void setWorkflowStatus(String workflowStatus)
    Sets the work flow status to the table as specified.
    Parameters:
      `workflowStatus` - String

  - ### getTableId

    public int getTableId()
    Returns the tableId of the table object.
    Returns:
      int tableId

  - ### setTableId

    public void setTableId(int tableId)
    Sets the tableId to the table as specified.
    Parameters:
      `tableId` - int

  - ### isRootTable

    public boolean isRootTable()
    Returns the rootTable of the table object.
    Returns:
      rootTable boolean

  - ### setRootTable

    public void setRootTable(boolean rootTable)
    Sets the rootTable as specified.
    Parameters:
      `rootTable` - boolean

  - ### getAuditHistory

    public AuditHistory getAuditHistory()
    Returns the auditHistory details of the table object.
    Returns:
      AuditHistory Object

  - ### setAuditHistory

    public void setAuditHistory(AuditHistory auditHistory)
    Sets the auditHistory as specified.
    Parameters:
      `auditHistory` - AuditHistory Object

  - ### getSystemId

    public int getSystemId()
    Returns the systemId of the table object.
    Returns:
      int systemId

  - ### setSystemId

    public void setSystemId(int systemId)
    Sets the systemId as specified.
    Parameters:
      `systemId` - int

  - ### getDataStewardName

    @Deprecated public String getDataStewardName()
    Deprecated.
    Returns the dataStewardName Value.
    Returns:
      dataStewardName String

  - ### setDataStewardName

    @Deprecated public void setDataStewardName(String dataStewardName)
    Deprecated.
    Method sets the dataStewardName as specified.
    Parameters:
      `dataStewardName` - String

  - ### getSchemaName

    public String getSchemaName()
    Returns the schemaName of the table object.
    Returns:
      schemaName - String

  - ### setSchemaName

    public void setSchemaName(String schemaName)
    Sets the schemaName as specified.
    Parameters:
      `schemaName` - String

  - ### getEnvironment

    public SMEnvironment getEnvironment()
    Returns the environment object of the table object.
    Returns:
      environment - SMEnvironment

  - ### setEnvironment

    public void setEnvironment(SMEnvironment environment)
    Sets the environment as specified.
    Parameters:
      `environment` - SMEnvironment

  - ### getParentTable

    public SMTable getParentTable()
    Returns the parentTable object of the table object.
    Returns:
      parentTable - SMTable

  - ### setParentTable

    public void setParentTable(SMTable parentTable)
    Sets the parentTable as specified.
    Parameters:
      `parentTable` - SMTable

  - ### getReferenceId

    public String getReferenceId()
    Returns the referenceId of the table object.
    Returns:
      referenceId - String

  - ### setReferenceId

    public void setReferenceId(String referenceId)
    Sets the referenceId as specified.
    Parameters:
      `referenceId` - String

  - ### getColumn

    public SMColumn getColumn(String name)
    Returns SMColumn Object for the specified name of the column.
    Parameters:
      `name` - String
    Returns:
      SMColumn Object

  - ### getColumns

    public Collection<SMColumn> getColumns()
    Returns the list of SMColumn objects.
    Returns:
      SMColumn objects Collection

  - ### addColumn

    public void addColumn(String name, SMColumn column)
    Adds the column specified with the details given as SMColumn.
    Parameters:
      `name` - String
      `column` - String

  - ### addColumn

    public void addColumn(SMColumn column)
    Adds the column as specified.
    Parameters:
      `column` - String

  - ### addColumnByReferenceId

    public void addColumnByReferenceId(SMColumn column)
    Adds the Column as specified.
    Parameters:
      `column` - String

  - ### parseSchemaName

    public static String parseSchemaName(String tableName)
    parses the specified tableName and returns the schema name.
    Parameters:
      `tableName` - String
    Returns:
      schemaName - String

  - ### parseTableName

    public static String parseTableName(String tableName)
    parses the specified tableName and returns the table name.
    Parameters:
      `tableName` - String
    Returns:
      tableName - String

  - ### getDeclarationPath

    public String getDeclarationPath()
    Returns the declarationPath Value.
    Returns:
      declarationPath String

  - ### setDeclarationPath

    public void setDeclarationPath(String declarationPath)
    Method sets the declarationPath as specified.
    Parameters:
      `declarationPath` - String

  - ### getDataProfileScoreId

    public int getDataProfileScoreId()
    Returns the dataProfileScoreId Value.
    Returns:
      dataProfileScoreId int

  - ### setDataProfileScoreId

    public void setDataProfileScoreId(int dataProfileScoreId)
    Method sets the dataProfileScoreId as specified.
    Parameters:
      `dataProfileScoreId` - int

  - ### getSystemName

    public String getSystemName()
    Returns the systemName and this can be accessed through Lineage API only.
    Returns:
      systemName String

  - ### setSystemName

    public void setSystemName(String systemName)
    Method sets the systemName as specified and can be set from Lineage API only.
    Parameters:
      `systemName` - String

  - ### isMarked

    public boolean isMarked()
    Returns true if the table is marked.
    Returns:
      marked boolean

  - ### setMarked

    public void setMarked(boolean marked)
    Method sets the marked as specified.
    Parameters:
      `marked` - boolean

  - ### getSTMId

    public int getSTMId()
    Deprecated.
    Returns the stmId value of the table object.
    Returns:
      stmId - int

  - ### setSTMId

    public void setSTMId(int stmId)
    Deprecated.
    Sets the stmId as specified.
    Parameters:
      `stmId` - int

  - ### getMetadataSource

    public String getMetadataSource()
    Returns the metadataSource Value.
    Returns:
      metadataSource String

  - ### setMetadataSource

    public void setMetadataSource(String metadataSource)
    Method sets the metadataSource as specified.
    Parameters:
      `metadataSource` - String

  - ### getExtendedProperties

    public List<KeyValue> getExtendedProperties()
    Returns the List objects.
    Returns:
      extendedProperties List

  - ### getDqToolProfileId

    public String getDqToolProfileId()
    Returns the dqToolProfileId value.
    Returns:
      dqToolProfileId String.

  - ### setDqToolProfileId

    @Deprecated public void setDqToolProfileId(int dqToolProfileId)
    Deprecated.

  - ### setDqToolProfileId

    public void setDqToolProfileId(String dqToolProfileId)
    Method sets the dqToolProfileId as specified.
    Parameters:
      `dqToolProfileId` -

  - ### getDataQualityScore

    public float getDataQualityScore()
    Returns the dataQualityScore value.
    Returns:
      dataQualityScore float.

  - ### getBusinessEntityType

    public String getBusinessEntityType()
    Returns the businessEntityType value.
    Returns:
      businessEntityType String

  - ### setBusinessEntityType

    public void setBusinessEntityType(String businessEntityType)
    Method sets the businessEntityType as specified.
    Parameters:
      `businessEntityType` - String

  - ### setDataQualityScore

    public void setDataQualityScore(float dataQualityScore)
    Method sets the dataQualityScore as specified.
    Parameters:
      `dataQualityScore` -

  - ### getImpactScore

    @Deprecated public float getImpactScore()
    Deprecated.

  - ### setImpactScore

    @Deprecated public void setImpactScore(float impactScore)
    Deprecated.

  - ### getDqToolUpdatedTime

    public String getDqToolUpdatedTime()
    Returns the dqToolUpdatedTime value.
    Returns:
      dqToolUpdatedTime String

  - ### setDqToolUpdatedTime

    public void setDqToolUpdatedTime(String dqToolUpdatedTime)
    Method sets the dqToolUpdatedTime as specified.
    Parameters:
      `dqToolUpdatedTime` -

  - ### setExtendedProperties

    public SMTable setExtendedProperties(List<KeyValue> extendedProperties)
    Method sets the list of KeyValue objects as specified.
    Parameters:
      `extendedProperties` - List
    Returns:
      SMTable object.

  - ### addExtendedProperty

    public SMTable addExtendedProperty(KeyValue extendedProperty)
    Adds the KeyValue Object for the specified table.
    Parameters:
      `extendedProperty` - KeyValue
    Returns:
      SMTable object.

  - ### getTags

    public List<Tag> getTags()

  - ### setTags

    public void setTags(List<Tag> tags)

  - ### addTag

    public SMTable addTag(Tag tagvo)

  - ### getAssociationsList

    public List<com.ads.association.export.model.ExportedAssociation> getAssociationsList()
    It will not return any associations particular to this object as it is being used internally. Please use Associations api to fetch the associations.
    Returns:
      list of associations

  - ### setAssociationsList

    public SMTable setAssociationsList(List<com.ads.association.export.model.ExportedAssociation> associations)
    It will not set any associations particular to this object as it is being used internally.
    Parameters:
      `associations` -
    Returns:

  - ### addAssociationsList

    public SMTable addAssociationsList(com.ads.association.export.model.ExportedAssociation associationObj)
    It will not add association to this object as it is being used internally.
    Parameters:
      `associationObj` -
    Returns:

  - ### getColumnIndexes

    public List<SMIndex> getColumnIndexes()
    Returns the list of columnIndexes objects.
    Returns:
      columnIndexes List

  - ### setColumnIndexes

    public SMTable setColumnIndexes(List<SMIndex> columnIndexes)
    Method sets the list of columnIndexes as specified.
    Parameters:
      `columnIndexes` - List

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`